Bug 608376 - [abrt] crash in gpodder-2.6-7.fc13: __init__.py:155:load_plugins:IOError: [Errno 27] File too large
Summary: [abrt] crash in gpodder-2.6-7.fc13: __init__.py:155:load_plugins:IOError: [Er...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gpodder   
(Show other bugs)
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:aa2d3bf8
Keywords:
: 664147 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-27 02:24 UTC by Lofton Alley
Modified: 2011-06-27 18:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 18:59:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (598 bytes, text/plain)
2010-06-27 02:24 UTC, Lofton Alley
no flags Details

Description Lofton Alley 2010-06-27 02:24:15 UTC
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/gpodder
component: gpodder
executable: /usr/bin/gpodder
kernel: 2.6.33.5-124.fc13.i686
package: gpodder-2.6-7.fc13
reason: __init__.py:155:load_plugins:IOError: [Errno 27] File too large
release: Fedora release 13 (Goddard)

backtrace
-----
__init__.py:155:load_plugins:IOError: [Errno 27] File too large

Traceback (most recent call last):
  File "/usr/bin/gpodder", line 193, in <module>
    gui.main(options)
  File "/usr/lib/python2.6/site-packages/gpodder/gui.py", line 3786, in main
    gpodder.load_plugins()
  File "/usr/lib/python2.6/site-packages/gpodder/__init__.py", line 155, in load_plugins
    print >>sys.stderr, 'Cannot load plugin: %s (%s)' % (plugin, e)
IOError: [Errno 27] File too large

Local variables in innermost frame:
PLUGINS: ['gpodder.soundcloud']
e: IOError(27, 'File too large')
plugin: 'gpodder.soundcloud'

How to reproduce
-----
1.startup crash

2.
3.

Comment 1 Lofton Alley 2010-06-27 02:24:18 UTC
Created attachment 427170 [details]
File: backtrace

Comment 2 Ville-Pekka Vainio 2010-07-01 10:23:46 UTC
Reported upstream: https://bugs.gpodder.org/show_bug.cgi?id=1067

Comment 3 Ville-Pekka Vainio 2010-07-03 21:34:49 UTC
Is there a way to reliably reproduce this error?

Comment 4 Lofton Alley 2010-07-04 03:20:55 UTC
It has not repeated in my setup, in fact i immediately restarted gpodder with no trouble. Pretty useless for you but there it is.

Comment 5 Ville-Pekka Vainio 2010-07-04 08:08:57 UTC
Thanks for the info. This means the gPodder developers won't have to spend time tracking this down for the next release. I'll leave this bug open in case we get more similar reports via abrt.

Comment 6 Ville-Pekka Vainio 2011-01-03 17:03:43 UTC
*** Bug 664147 has been marked as a duplicate of this bug. ***

Comment 7 Ville-Pekka Vainio 2011-01-03 17:05:56 UTC
Brendan Jones said in the duplicate bug that this can be reproduced by launching gpodder from the xfce4-panel: https://bugzilla.redhat.com/show_bug.cgi?id=664147#c2

Comment 8 Bug Zapper 2011-06-01 15:29:14 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2011-06-27 18:59:49 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.